Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.thrift
Class Cassandra.multiget_slice_args

    java.lang.Object
      org.apache.cassandra.thrift.Cassandra.multiget_slice_args

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.multiget_slice_args>, org.apache.thrift.TBase<Cassandra.multiget_slice_args,Cassandra.multiget_slice_args._Fields>

Enclosing class:
  Cassandra

    public static class Cassandra.multiget_slice_args

extends java.lang.Object
implements org.apache.thrift.TBase<Cassandra.multiget_slice_args,Cassandra.multiget_slice_args._Fields>, java.io.Serializable, java.lang.Cloneable

See Also:
  Serialized Form

Nested Class Summary
`static class` | `Cassandra.multiget_slice_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

Field Summary
`ColumnParent` | `column_parent`
`ConsistencyLevel` | `consistency_level`
`java.util.List<java.nio.ByteBuffer>` | `keys`
`static java.util.Map<Cassandra.multiget_slice_args._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
`SlicePredicate` | `predicate`

Constructor Summary
`Cassandra.multiget_slice_args()`
`Cassandra.multiget_slice_args(Cassandra.multiget_slice_args other)` Performs a deep copy on other.
`Cassandra.multiget_slice_args(java.util.List<java.nio.ByteBuffer> keys, ColumnParent column_parent, SlicePredicate predicate, ConsistencyLevel consistency_level)`

Method Summary
`void` | `addToKeys(java.nio.ByteBuffer elem)`
`void` | `clear()`
`int` | `compareTo(Cassandra.multiget_slice_args other)`
`Cassandra.multiget_slice_args` | `deepCopy()`
`boolean` | `equals(Cassandra.multiget_slice_args that)`
`boolean` | `equals(java.lang.Object that)`
`Cassandra.multiget_slice_args._Fields` | `fieldForId(int fieldId)`
`ColumnParent` | `getColumn_parent()`
`ConsistencyLevel` | `getConsistency_level()`
`java.lang.Object` | `getFieldValue(Cassandra.multiget_slice_args._Fields field)`
`java.util.List<java.nio.ByteBuffer>` | `getKeys()`
`java.util.Iterator<java.nio.ByteBuffer>` | `getKeysIterator()`
`int` | `getKeysSize()`
`SlicePredicate` | `getPredicate()`
`int` | `hashCode()`
`boolean` | `isSet(Cassandra.multiget_slice_args._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` | `isSetColumn_parent()` Returns true if field column_parent is set (has been assigned a value) and false otherwise
`boolean` | `isSetConsistency_level()` Returns true if field consistency_level is set (has been assigned a value) and false otherwise
`boolean` | `isSetKeys()` Returns true if field keys is set (has been assigned a value) and false otherwise
`boolean` | `isSetPredicate()` Returns true if field predicate is set (has been assigned a value) and false otherwise
`void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
`Cassandra.multiget_slice_args` | `setColumn_parent(ColumnParent column_parent)`
`void` | `setColumn_parentIsSet(boolean value)`
`Cassandra.multiget_slice_args` | `setConsistency_level(ConsistencyLevel consistency_level)`
`void` | `setConsistency_levelIsSet(boolean value)`
`void` | `setFieldValue(Cassandra.multiget_slice_args._Fields field, java.lang.Object value)`
`Cassandra.multiget_slice_args` | `setKeys(java.util.List<java.nio.ByteBuffer> keys)`
`void` | `setKeysIsSet(boolean value)`
`Cassandra.multiget_slice_args` | `setPredicate(SlicePredicate predicate)`
`void` | `setPredicateIsSet(boolean value)`
`java.lang.String` | `toString()`
`void` | `unsetColumn_parent()`
`void` | `unsetConsistency_level()`
`void` | `unsetKeys()`
`void` | `unsetPredicate()`
`void` | `validate()`
`void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### keys

    public java.util.List<java.nio.ByteBuffer> keys

### column_parent

    public ColumnParent column_parent

### predicate

    public SlicePredicate predicate

### consistency_level

    public ConsistencyLevel consistency_level

See Also:
  `ConsistencyLevel`

### metaDataMap

    public static final java.util.Map<Cassandra.multiget_slice_args._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

Constructor Detail

### Cassandra.multiget_slice_args

    public Cassandra.multiget_slice_args()

### Cassandra.multiget_slice_args

    public Cassandra.multiget_slice_args(java.util.List<java.nio.ByteBuffer> keys,
                                         ColumnParent column_parent,
                                         SlicePredicate predicate,
                                         ConsistencyLevel consistency_level)

### Cassandra.multiget_slice_args

    public Cassandra.multiget_slice_args(Cassandra.multiget_slice_args other)

  Performs a deep copy on other.

Method Detail

### deepCopy

    public Cassandra.multiget_slice_args deepCopy()

  Specified by:
    `deepCopy` in interface `org.apache.thrift.TBase<Cassandra.multiget_slice_args,Cassandra.multiget_slice_args._Fields>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `org.apache.thrift.TBase<Cassandra.multiget_slice_args,Cassandra.multiget_slice_args._Fields>`

### getKeysSize

    public int getKeysSize()

### getKeysIterator

    public java.util.Iterator<java.nio.ByteBuffer> getKeysIterator()

### addToKeys

    public void addToKeys(java.nio.ByteBuffer elem)

### getKeys

    public java.util.List<java.nio.ByteBuffer> getKeys()

### setKeys

    public Cassandra.multiget_slice_args setKeys(java.util.List<java.nio.ByteBuffer> keys)

### unsetKeys

    public void unsetKeys()

### isSetKeys

    public boolean isSetKeys()

  Returns true if field keys is set (has been assigned a value) and false otherwise

### setKeysIsSet

    public void setKeysIsSet(boolean value)

### getColumn_parent

    public ColumnParent getColumn_parent()

### setColumn_parent

    public Cassandra.multiget_slice_args setColumn_parent(ColumnParent column_parent)

### unsetColumn_parent

    public void unsetColumn_parent()

### isSetColumn_parent

    public boolean isSetColumn_parent()

  Returns true if field column_parent is set (has been assigned a value) and false otherwise

### setColumn_parentIsSet

    public void setColumn_parentIsSet(boolean value)

### getPredicate

    public SlicePredicate getPredicate()

### setPredicate

    public Cassandra.multiget_slice_args setPredicate(SlicePredicate predicate)

### unsetPredicate

    public void unsetPredicate()

### isSetPredicate

    public boolean isSetPredicate()

  Returns true if field predicate is set (has been assigned a value) and false otherwise

### setPredicateIsSet

    public void setPredicateIsSet(boolean value)

### getConsistency_level

    public ConsistencyLevel getConsistency_level()

  See Also:
    `ConsistencyLevel`

### setConsistency_level

    public Cassandra.multiget_slice_args setConsistency_level(ConsistencyLevel consistency_level)

  See Also:
    `ConsistencyLevel`

### unsetConsistency_level

    public void unsetConsistency_level()

### isSetConsistency_level

    public boolean isSetConsistency_level()

  Returns true if field consistency_level is set (has been assigned a value) and false otherwise

### setConsistency_levelIsSet

    public void setConsistency_levelIsSet(boolean value)

### setFieldValue

    public void setFieldValue(Cassandra.multiget_slice_args._Fields field,
                              java.lang.Object value)

  Specified by:
    `setFieldValue` in interface `org.apache.thrift.TBase<Cassandra.multiget_slice_args,Cassandra.multiget_slice_args._Fields>`

### getFieldValue

    public java.lang.Object getFieldValue(Cassandra.multiget_slice_args._Fields field)

  Specified by:
    `getFieldValue` in interface `org.apache.thrift.TBase<Cassandra.multiget_slice_args,Cassandra.multiget_slice_args._Fields>`

### isSet

    public boolean isSet(Cassandra.multiget_slice_args._Fields field)

  Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

  Specified by:
    `isSet` in interface `org.apache.thrift.TBase<Cassandra.multiget_slice_args,Cassandra.multiget_slice_args._Fields>`

### equals

    public boolean equals(java.lang.Object that)

  Overrides:
    `equals` in class `java.lang.Object`

### equals

    public boolean equals(Cassandra.multiget_slice_args that)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### compareTo

    public int compareTo(Cassandra.multiget_slice_args other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<Cassandra.multiget_slice_args>`

### fieldForId

    public Cassandra.multiget_slice_args._Fields fieldForId(int fieldId)

  Specified by:
    `fieldForId` in interface `org.apache.thrift.TBase<Cassandra.multiget_slice_args,Cassandra.multiget_slice_args._Fields>`

### read

    public void read(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

  Specified by:
    `read` in interface `org.apache.thrift.TBase<Cassandra.multiget_slice_args,Cassandra.multiget_slice_args._Fields>`
  Throws:
    `org.apache.thrift.TException`

### write

    public void write(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

  Specified by:
    `write` in interface `org.apache.thrift.TBase<Cassandra.multiget_slice_args,Cassandra.multiget_slice_args._Fields>`
  Throws:
    `org.apache.thrift.TException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### validate

    public void validate()
                  throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation